# version.hpp File Reference

`#include <saga/saga/util.hpp>`
`#include <saga/saga/version.hpp>`
`#include <saga/saga/packages/advert/config.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
## Defines
#define | SAGA_VERSION_PACKAGE_ADVERT_FULL SAGA_VERSION_FULL
#define | SAGA_VERSION_PACKAGE_ADVERT_MAJOR SAGA_VERSION_MAJOR
#define | SAGA_VERSION_PACKAGE_ADVERT_MINOR SAGA_VERSION_MINOR
#define | SAGA_VERSION_PACKAGE_ADVERT_SUBMINOR SAGA_VERSION_SUBMINOR
#define | SAGA_VERSION_PACKAGE_ADVERT_DATE SAGA_VERSION_DATE
#define | SAGA_VERSION_PACKAGE_ADVERT_SUBMINORMASK SAGA_VERSION_SUBMINORMASK
#define | SAGA_VERSION_PACKAGE_ADVERT_API 0x000100
#define | SAGA_VERSION_PACKAGE_ADVERT_ISCOMPATIBLE_EX(version)
#define | SAGA_VERSION_PACKAGE_ADVERT_ISCOMPATIBLE()
## Functions
unsigned long | saga::get_advert_package_version (void)
unsigned long | saga::get_advert_package_api_version (void)

## Define Documentation

#define SAGA_VERSION_PACKAGE_ADVERT_FULL SAGA_VERSION_FULL

Referenced by saga::get_advert_package_version().

#define SAGA_VERSION_PACKAGE_ADVERT_MAJOR SAGA_VERSION_MAJOR

#define SAGA_VERSION_PACKAGE_ADVERT_MINOR SAGA_VERSION_MINOR

#define SAGA_VERSION_PACKAGE_ADVERT_SUBMINOR SAGA_VERSION_SUBMINOR

#define SAGA_VERSION_PACKAGE_ADVERT_DATE SAGA_VERSION_DATE

#define SAGA_VERSION_PACKAGE_ADVERT_SUBMINORMASK SAGA_VERSION_SUBMINORMASK

#define SAGA_VERSION_PACKAGE_ADVERT_API 0x000100

Referenced by saga::get_advert_package_api_version().

#define SAGA_VERSION_PACKAGE_ADVERT_ISCOMPATIBLE_EX | ( | version |  | ) |

Value:

    (((version) & ~SAGA_VERSION_PACKAGE_ADVERT_SUBMINORMASK) >=               \
          (SAGA_VERSION_PACKAGE_ADVERT_FULL &                                     \
              ~SAGA_VERSION_PACKAGE_ADVERT_SUBMINORMASK))                         \

#define SAGA_VERSION_PACKAGE_ADVERT_ISCOMPATIBLE | ( |  | ) |

Value:

    SAGA_VERSION_PACKAGE_ADVERT_ISCOMPATIBLE_EX(                              \
            saga::get_advert_package_version())                                   \